[tool.poetry]
name = "ipv4-rechner"
version = "0.1.1"
description = "Calculates the net-id, broadcast-ip and amount of possible clients for a given ip-address and subnetmask"
authors = ["Eulentier161 <gitlab@eule.wtf>"]
license = "GNU GPLv3"
readme = "README.md"
packages = [{include = "ipv4_rechner"}]

[tool.poetry.dependencies]
python = "^3.11"
typer = {version = "^0.6.1", extras = ["all"]}
fastapi = {version = "^0.85.1", extras = ["all"]}

[tool.poetry.group.dev.dependencies]
black = "^22.10.0"
docutils = "0.16"
Sphinx = "^5.3.0"
sphinx-rtd-theme = "^1.0.0"

[tool.poetry.scripts]
ipv4-rechner = "ipv4_rechner.run:app"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
